# Change Log

All notable changes to this project will be documented in this file.
This project adheres to [Semantic Versioning](http://semver.org/).

## [Unreleased]

### Added

- Icon for files modified outside emacs (from Font Awesome).
- Icon for files that are being modified by another user (from Font Awesome).

## [0.3.0]

### Added
- Support for using Octicons, Font Awesome and Font Mfizz as icons.
- The following icons were added:
  - Rainbow mode icon.
  - Scala mode icon (from Font Mfizz).
  - Auto revert mode icon.
  - Markdown mode icon.
  - Magit mode icon (from Font Awesome).
  - magit-gh-pulls minor mode icon (from Font Awesome).
  - Zip-Archive mode icon (from Font Awesome).
  - Calc and Calculator icons (from Font Awesome).
  - A General debug mode icon (from Font Awesome).
  - Calendar icon (from Font Awesome).
  - C mode icon (from Font Mfizz).
  - Help mode icon (from Font Awesome).
  - Woman mode icon (from Font Awesome).
  - Custom mode icon (from Font Awesome).
  - Golden ratio mode icon.
  - BibTeX mode icon.
  - C++ mode icon (from Font Mfizz).
  - C# mode icon (from Font Mfizz).
  - Elixir mode icon (from Font Mfizz).
  - Erlang mode icon (from Font Mfizz).
  - Haskell mode icon (from Font Mfizz).
  - Clojure mode icon (from Font Mfizz).
  - Java mode icon (from Font Mfizz).
  - Perl and CPerl mode icons (from Font Mfizz).
  - Octave mode icon.
  - Autohotkey mode icon.
  - SAS and BUGS icons for R mode.
  - Info mode icon (from Font Awesome).
  - Icon for narrowed buffers (from Font Awesome).
  - Icon for read-only buffers (from Font Awesome).
  - Icon for writable buffers (from Font Awesome).
  - Icon for unsaved buffers (from Font Awesome).
  - Icon for buffers with Mac OS line-endings (from Font Awesome).
  - Icon for buffers with Windows line-endings (from Font Awesome).
  - Icon for buffers with Unix line-endings (from Font Mfizz).
  - Text mode icon (from Font Awesome).
  - Icon for buffers with undecided encoding (from Font Awesome).
- Support for using Jpeg files as icons.
- The following minor mode lighters have been hidden:
  - Flyspell minor mode lighter.
  - Org-Indent minor mode lighter.
  - Isearch minor mode lighter.
- Support for keeping the mode name visible next to the icon.
- The following customization options were added:
  - Major mode base text properties.
  - Narrow text properties.
  - Read only text properties.
  - Modified text properties.
  - EOL text.
  - EOL space.
  - Modified status space.
  - Read-only space.
  - Show mode name.

### Changed

- The default value of the mode icons customization option was changed
  to include the new icons.
- The possible values for mode icons were changed to include the newly
  supported options.

## [0.2.0]

### Added
- CSS mode icon.
- Coffee mode icon.
- Compilation mode icon.
- Emacs Speaks Statistics (R) mode icon.
- Haml mode icon.
- Image mode icon for ImageMagick.
- Inf-Ruby mode icon.
- JavaScript mode icon.
- Projectile Rails Server mode icon.
- Ruby mode icon.
- Sass/Scss mode icon.
- Shell-script mode icon.
- Slim mode icon.
- Snippet mode icon.
- Term mode icon.
- Web mode icon.
- XML mode icon.
- YAML mode icon.
- YASnippet minor-mode icon.
- nXML mode icon.
- Showing icons for minor modes.
- Go mode icon.
- Customization options.
- Lisp Interaction mode icon.

[Unreleased]: https://github.com/ryuslash/mode-icons/compare/0.3.0...HEAD
[0.3.0]: https://github.com/ryuslash/mode-icons/compare/0.2.0...0.3.0
[0.2.0]: https://github.com/ryuslash/mode-icons/compare/0.1.0...0.2.0
